import java.util.LinkedList;
import java.util.List;

public class Main {

    public static void main(String[] args) {
        Article bread = new Article("Bread", 100, 1.5);
        System.out.println("Article Bread (id: " + bread.getId() + ", quantity: 100, price: 1.50) was created.");

        Article milk = new Article("Milk", 150, 2.0);
        System.out.println("Article Milk (id: " + milk.getId() + ", quantity: 150, price: 2.00) was created.");

        Article unknown = new Article();
        System.out.println("Article Unknown (id: " + unknown.getId() + ", quantity: 0, price: 0.00) was created.");

        List<Article> articles = new LinkedList<>();
        articles.add(bread);
        articles.add(milk);
        articles.add(unknown);

        Shop grocery = new Shop("Grocery", articles);
        System.out.println("Shop Grocery (articles: Bread, Milk, Unknown) was created.");

        grocery.sell(bread);
        System.out.println("One Bread was sold.");

        grocery.sell(milk);
        System.out.println("One Milk was sold.");

        grocery.sell(unknown);
        System.out.println("One Unknown was sold.");

        System.out.println("Total turnover: " + grocery.getTurnover());
    }
}
